igeo

## Class ILineAgentGeo

- java.lang.Object
- - igeo.IDynamicsBase
  - - igeo.ILineAgentGeo

- All Implemented Interfaces:
    IDynamics, ISubobject

      public class ILineAgentGeo
      extends IDynamicsBase

  Class of an agent with a line with start and end points.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ICurve` | `line`
    `IVec` | `pos` end point of line
    `IVec` | `root` start point of line

    - ### Fields inherited from class igeo.IDynamicsBase

      `parent, targets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ILineAgentGeo()`
    `ILineAgentGeo(IVec rootPos)`
    `ILineAgentGeo(IVec rootPos, IVec lineDir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVec` | `dif()` alias of dir()
    `IVec` | `dir()` direction from root to pos
    `ICurve` | `drawLine()`
    `IVec` | `end()` alias of pos()
    `void` | `hide()`
    `ICurve` | `line()`
    `IVec` | `pos()` current position, i.e.
    `IVec` | `prevPos()` alias of root()
    `IVec` | `pt1()` alias of root()
    `IVec` | `pt2()` alias of pos()
    `IVec` | `root()` previous position, i.e.
    `void` | `show()`
    `IVec` | `start()` alias of root()
    `void` | `update()` behavior definition of updating dynamics in each time frame

    - ### Methods inherited from class igeo.IDynamicsBase

      `initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, updateTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pos

          public IVec pos

      end point of line

    - #### root

          public IVec root

      start point of line

    - #### line

          public ICurve line

  - ### Constructor Detail

    - #### ILineAgentGeo

          public ILineAgentGeo(IVec rootPos,
                               IVec lineDir)

    - #### ILineAgentGeo

          public ILineAgentGeo(IVec rootPos)

    - #### ILineAgentGeo

          public ILineAgentGeo()

  - ### Method Detail

    - #### pos

          public IVec pos()

      current position, i.e. end point of line

    - #### end

          public IVec end()

      alias of pos()

    - #### pt2

          public IVec pt2()

      alias of pos()

    - #### root

          public IVec root()

      previous position, i.e. start/root point of line

    - #### start

          public IVec start()

      alias of root()

    - #### prevPos

          public IVec prevPos()

      alias of root()

    - #### pt1

          public IVec pt1()

      alias of root()

    - #### dir

          public IVec dir()

      direction from root to pos

    - #### dif

          public IVec dif()

      alias of dir()

    - #### drawLine

          public ICurve drawLine()

    - #### line

          public ICurve line()

    - #### hide

          public void hide()

    - #### show

          public void show()

    - #### update

          public void update()

      Description copied from class: `IDynamicsBase`
      behavior definition of updating dynamics in each time frame
      Specified by:
        `update` in interface `IDynamics`
      Overrides:
        `update` in class `IDynamicsBase`